Page MenuHomePhabricator

Settings pop up for RefPreviews and Page Previews
Closed, ResolvedPublic5 Estimated Story Points

Description

Requirements

Text

Pop up header : Previews

Pop up text:

Page PreviewsReference Previews
Label (next to check box)Page previewsReference previews
Description (under label, formatted the same as current description)Get quick previews of a topic while reading a page.Get quick previews of a reference while reading a page.

Checking and un-checking the checkbox does not change the text.

Second screen:
Note: the header of the pop-up should be "Previews" as above (mock has not been updated)

Anonymous disable - screen 2.png (494×630 px, 41 KB)

Event Timeline

Lena_WMDE set the point value for this task to 3.Mar 18 2021, 3:09 PM

I was wondering if it would be better to display the separate settings for page and reference previews in one popup window. This would make the implementation easier, it would save the user some click actions and it would be much easier to extend both the code and the GUI when there are more popup types in the future (e.g. there would not be a list of different links in the footer but only one - see also https://phabricator.wikimedia.org/T277640). What do you think?

Anonym popups settings 1.png (800×1 px, 109 KB)

Overview of the options (update April 7):

OptionUsabilityImplementation
Single settings window for each type (as described in the ticket description)pro: display only selected setting con: multiple clicks to disable all & separate link for each popup typeneed to copy current structure somehow.
Combine settings in one window with one link in the footer (see image above)pro: saves click actions con: user might be overwhelmed if there are too many settings at once (could be solved by hiding some)needs rewrites and cleanups & easier to extend for more popup types in the future (e.g. only one link in footer) - requires new logic for footer link

Thanks for the suggestion @lilients_WMDE. Having discussed with UX, we think this could work, but I would like to get @ovasileva thoughts. Olga, what do you think about having one pop up (and footer link) for anonymous users, which lists the types of previews in the pop up next to check boxes to enable/disable (see rough sketch in comment above)? One drawback we see is that the settings experience is different for anonymous vs logged-in users, but for the individual group of anonymous users this might still be more coherent.

Lena_WMDE changed the point value for this task from 3 to 8.Mar 31 2021, 8:35 AM

Change 676001 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] [WIP] Rename many functions and files for clarity

https://gerrit.wikimedia.org/r/676001

Change 676044 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] Expand userSettings module for reference previews

https://gerrit.wikimedia.org/r/676044

Change 677294 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] Make syncUserSettings support dot-separated paths

https://gerrit.wikimedia.org/r/677294

Change 677345 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] Make nextState support non-flat updates

https://gerrit.wikimedia.org/r/677345

Change 677512 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] [WIP] Allow to disable/enable popup types individually

https://gerrit.wikimedia.org/r/677512

Change 677294 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Make syncUserSettings support dot-separated paths

https://gerrit.wikimedia.org/r/677294

Change 676001 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Rename many functions and files for clarity

https://gerrit.wikimedia.org/r/676001

Change 677345 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Make nextState support non-flat updates

https://gerrit.wikimedia.org/r/677345

@ovasileva could you have a look at my question above (T277639#6959661)? If you would like to have a quick chat about it, I can organise something. Thanks!

Change 678796 had a related patch set uploaded (by Svantje Lilienthal; author: Svantje Lilienthal):

[mediawiki/extensions/Popups@master] Changed radio button to checkbox in anonym user settings window

https://gerrit.wikimedia.org/r/678796

Our current approach is to make an adjustment that would work for both described options (option 1: display all popup type settings in one popup window vs. option 2: display a window for each popup type). By changing the radio buttons to checkboxes we allow a easy switch between the options (see screenshots and mocks below).

Status quoOption 1Option 2
anonym_popup_settings_old.png (270×527 px, 21 KB)
anonym_popup_settings_single.png (228×530 px, 19 KB)
anonym_popup_settings_all.png (314×534 px, 34 KB)

Steps:

  1. change radio to checkbox 678796
  2. display all popup types
  3. selected option 1 or 2
awight updated the task description. (Show Details)
awight added a subscriber: awight.

Is the dialog title specified yet? I see the text "Edit Previews" in the mockups and in code review, but this sounds odd and ambiguous to me. "Enable Previews" or "Preview Preferences" would be my suggestions.

Thanks for the suggestion @lilients_WMDE. Having discussed with UX, we think this could work, but I would like to get @ovasileva thoughts. Olga, what do you think about having one pop up (and footer link) for anonymous users, which lists the types of previews in the pop up next to check boxes to enable/disable (see rough sketch in comment above)? One drawback we see is that the settings experience is different for anonymous vs logged-in users, but for the individual group of anonymous users this might still be more coherent.

@Lena_WMDE - sorry for the late reply! I think this makes sense to me as well. Given that the experiences are already divergent between logged-in and logged-out, I don't think combining them in this way would introduce too much confusion.

Lena_WMDE renamed this task from Separate settings pop up for RefPreviews and Page Previews to Settings pop up for RefPreviews and Page Previews.Apr 14 2021, 9:19 AM
Lena_WMDE updated the task description. (Show Details)
Lena_WMDE updated the task description. (Show Details)
Lena_WMDE updated the task description. (Show Details)

Great, thanks for the feedback @ovasileva! I have updated the ticket and the linked ticket for the link on the bottom of the page.

Change 676044 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Expand userSettings module for reference previews

https://gerrit.wikimedia.org/r/676044

Lena_WMDE changed the point value for this task from 8 to 5.

Change 677512 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Allow to disable/enable popup types individually

https://gerrit.wikimedia.org/r/677512

This is what the setting popup window for anonymous users looks like now:

popup-settings-anonym-users.png (307×520 px, 27 KB)

Change 679698 had a related patch set uploaded (by Svantje Lilienthal; author: Svantje Lilienthal):

[mediawiki/extensions/Popups@master] Added popup types handling

https://gerrit.wikimedia.org/r/679698

Change 678796 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Changed radio button to checkbox in anonymous user settings window

https://gerrit.wikimedia.org/r/678796

Change 681949 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] Clean up popup type settings related code

https://gerrit.wikimedia.org/r/681949

Change 681997 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] Add test case for syncUserSettings with reference previews

https://gerrit.wikimedia.org/r/681997

Change 682000 had a related patch set uploaded (by Thiemo Kreuz (WMDE); author: Thiemo Kreuz (WMDE)):

[mediawiki/extensions/Popups@master] Add tests for rewritten SETTINGS_CHANGE action reducer

https://gerrit.wikimedia.org/r/682000

Change 679698 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Added popup types handling

https://gerrit.wikimedia.org/r/679698

Change 681997 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Add test case for syncUserSettings with reference previews

https://gerrit.wikimedia.org/r/681997

Change 682000 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Add tests for rewritten SETTINGS_CHANGE action reducer

https://gerrit.wikimedia.org/r/682000

Change 681949 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Clean up popup type settings related code

https://gerrit.wikimedia.org/r/681949

Change 682137 had a related patch set uploaded (by Svantje Lilienthal; author: Svantje Lilienthal):

[mediawiki/extensions/Popups@master] Renamed settings local from simple to page

https://gerrit.wikimedia.org/r/682137

Change 682137 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Renamed settings local from simple to page

https://gerrit.wikimedia.org/r/682137

Lena_WMDE moved this task from Demo to Done on the WMDE-TechWish-Sprint-2021-04-14 board.